"use strict";

require("core-js/modules/es6.object.define-property");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

require("core-js/modules/web.dom.iterable");

require("core-js/modules/es6.array.iterator");

require("core-js/modules/es6.object.keys");

require("core-js/modules/es6.array.index-of");

var _lodash = _interopRequireDefault(require("lodash.kebabcase"));

var _lodash2 = _interopRequireDefault(require("lodash.camelcase"));

var _lodash3 = _interopRequireDefault(require("lodash.snakecase"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var langTransforms = {
  kebab: _lodash.default,
  camel: _lodash2.default,
  snake: _lodash3.default
};

var isValidOption = function isValidOption(opt) {
  return opt && typeof opt === 'string';
};

var validTranform = function validTranform(opt) {
  return Object.keys(langTransforms).indexOf(opt) > -1;
};

function checkValidOptions(state) {
  var attribute = 'data-qa';
  var format = 'kebab';

  if (isValidOption(state.opts.attribute)) {
    attribute = state.opts.attribute;
  }

  if (isValidOption(state.opts.format) && validTranform(state.opts.format)) {
    format = state.opts.format;
  }

  return {
    attribute: attribute,
    format: langTransforms[format]
  };
}

var _default = checkValidOptions;
exports.default = _default;